{ dream2nix, lib, ... }:
{
  imports = [
    dream2nix.modules.dream2nix.rust-cargo-lock
    dream2nix.modules.dream2nix.rust-cargo-vendor
    dream2nix.modules.dream2nix.rust-crane
  ];

  deps =
    { fenix, ... }:
    {
      deps.cargo = fenix.stable.minimalToolchain;
    };

  inherit
    ((lib.pipe ./Cargo.toml [
      builtins.readFile
      builtins.fromTOML
    ]).package
    )
    name
    version
    ;

  mkDerivation = {
    src = ./.;
  };
}
